﻿/**Begin C:\PDM_UPGRADE\PDM1\PDS_constraint.sql **/
 EXEC P_ALTERPK 'PK_PDS_FILECATALOGUE', 'T_PDS_FILECATALOGUE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_FILECATALOGUE_NUM') CREATE INDEX IDX_PDS_FILECATALOGUE_NUM ON T_PDS_FILECATALOGUE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_FILECATALOGUE_MID') CREATE INDEX IDX_PDS_FILECATALOGUE_MID ON T_PDS_FILECATALOGUE ( FMASTERID );


 EXEC P_ALTERPK 'PK_PDS_FILECATALOGUE_L', 'T_PDS_FILECATALOGUE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_FILECATALOGUE_L_FID') CREATE INDEX IDX_PDS_FILECATALOGUE_L_FID ON T_PDS_FILECATALOGUE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PDS_FILEMETHOD', 'T_PDS_FILEMETHOD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_FILEMETHOD_NUM') CREATE INDEX IDX_PDS_FILEMETHOD_NUM ON T_PDS_FILEMETHOD ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_FILEMETHOD_MID') CREATE INDEX IDX_PDS_FILEMETHOD_MID ON T_PDS_FILEMETHOD ( FMASTERID );


 EXEC P_ALTERPK 'PK_PDS_FILEMETHOD_L', 'T_PDS_FILEMETHOD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_FILEMETHOD_L_FID') CREATE INDEX IDX_PDS_FILEMETHOD_L_FID ON T_PDS_FILEMETHOD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PDS_FILEOBJECT', 'T_PDS_FILEOBJECT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_FILEOBJECT_NUM') CREATE INDEX IDX_PDS_FILEOBJECT_NUM ON T_PDS_FILEOBJECT ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_FILEOBJECT_MID') CREATE INDEX IDX_PDS_FILEOBJECT_MID ON T_PDS_FILEOBJECT ( FMASTERID );


 EXEC P_ALTERPK 'PK_PDS_FILEOBJECT_L', 'T_PDS_FILEOBJECT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_FILEOBJECT_L_FID') CREATE INDEX IDX_PDS_FILEOBJECT_L_FID ON T_PDS_FILEOBJECT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PDS_FILEOBJECTBILL', 'T_PDS_FILEOBJECTBILL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_FILEOBJECTBILL_FID') CREATE INDEX IDX_PDS_FILEOBJECTBILL_FID ON T_PDS_FILEOBJECTBILL ( FID );


 EXEC P_ALTERPK 'PK_PDS_FILEOBJECTENTRY', 'T_PDS_FILEOBJECTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_FILEOBJECTENTRY_FID') CREATE INDEX IDX_PDS_FILEOBJECTENTRY_FID ON T_PDS_FILEOBJECTENTRY ( FID );


 EXEC P_ALTERPK 'PK_PDS_FILEOBJECTREPORT', 'T_PDS_FILEOBJECTREPORT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_FILEOBJECTREPORT_FID') CREATE INDEX IDX_PDS_FILEOBJECTREPORT_FID ON T_PDS_FILEOBJECTREPORT ( FID );


 EXEC P_ALTERPK 'PK_PDS_FILESCHEME', 'T_PDS_FILESCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_FILESCHEME_NUM') CREATE INDEX IDX_PDS_FILESCHEME_NUM ON T_PDS_FILESCHEME ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_FILESCHEME_MID') CREATE INDEX IDX_PDS_FILESCHEME_MID ON T_PDS_FILESCHEME ( FMASTERID );


 EXEC P_ALTERPK 'PK_PDS_FILESCHEME_L', 'T_PDS_FILESCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_PDS_FILESCHEME_L_FID') CREATE INDEX T_PDS_FILESCHEME_L_FID ON T_PDS_FILESCHEME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PDS_FILESCHEMESRCTYPE', 'T_PDS_FILESCHEMESRCTYPE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_FILESCHEMESRCTYPE_FID') CREATE INDEX IDX_PDS_FILESCHEMESRCTYPE_FID ON T_PDS_FILESCHEMESRCTYPE ( FID );


 EXEC P_ALTERPK 'PK_PDS_FILESCHEMESRCFLOW', 'T_PDS_FILESCHEMESRCFLOW', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_FILESCHEMESRCFLOW_FID') CREATE INDEX IDX_PDS_FILESCHEMESRCFLOW_FID ON T_PDS_FILESCHEMESRCFLOW ( FID );


 EXEC P_ALTERPK 'PK_PDS_FILESCHEMEENTRY', 'T_PDS_FILESCHEMEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_FILESCHEMEENTRY_FID') CREATE INDEX IDX_PDS_FILESCHEMEENTRY_FID ON T_PDS_FILESCHEMEENTRY ( FID );



/**End C:\PDM_UPGRADE\PDM1\PDS_constraint.sql **/
