﻿/**Begin C:\PDM_UPGRADE\PDM1\PDS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_FIELDCONFIG') 
 CREATE TABLE T_PDS_FIELDCONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(300) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCOMPID BIGINT DEFAULT 0 NOT NULL,
FFIELD VARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_COMPCONFIGS') 
 CREATE TABLE T_PDS_COMPCONFIGS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_FIELDCONFIG_L') 
 CREATE TABLE T_PDS_FIELDCONFIG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(300) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_FIELDCONFIGENTRY') 
 CREATE TABLE T_PDS_FIELDCONFIGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFIELDID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDNAME NVARCHAR(300) DEFAULT ' ' NOT NULL,
FDISPLAYNAME CHAR(50) DEFAULT ' ' NOT NULL,
FISVISIBLE CHAR(1) DEFAULT '0' NOT NULL,
FISEDITABLE CHAR(1) DEFAULT '0' NOT NULL,
FISMUSTINPUT CHAR(1) DEFAULT '0' NOT NULL,
FISIMPORT CHAR(1) DEFAULT '0' NOT NULL,
FISEXPORT CHAR(1) DEFAULT '0' NOT NULL,
FISWRITEBACK CHAR(1) DEFAULT '0' NOT NULL,
FISCLEARUP CHAR(1) DEFAULT '0' NOT NULL,
FBIZNODEID BIGINT DEFAULT 0 NOT NULL,
FCOMPCFGID BIGINT DEFAULT 0 NOT NULL,
FSRCENTRYID BIGINT DEFAULT 0 NOT NULL
);



/**End C:\PDM_UPGRADE\PDM1\PDS_table.sql **/
