﻿/**Begin C:\PDM_UPGRADE\PDM1\PDS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDS_DEFAULTCONFIG' AND KSQL_COL_NAME IN ('FSOURCECLASSID')) 
 ALTER TABLE T_PDS_DEFAULTCONFIG ADD (FSOURCECLASSID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDS_BIDOPENDETAIL' AND KSQL_COL_NAME IN ('FISSEND')) 
 ALTER TABLE T_PDS_BIDOPENDETAIL ADD (FISSEND CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDS_BIDOPENDETAIL' AND KSQL_COL_NAME IN ('FSENDDATE')) 
 ALTER TABLE T_PDS_BIDOPENDETAIL ADD (FSENDDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDS_BIDOPENDETAIL' AND KSQL_COL_NAME IN ('FISTERMINATE')) 
 ALTER TABLE T_PDS_BIDOPENDETAIL ADD (FISTERMINATE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDS_BIDOPENDETAIL' AND KSQL_COL_NAME IN ('FTERMINATEDATE')) 
 ALTER TABLE T_PDS_BIDOPENDETAIL ADD (FTERMINATEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDS_ENCRYPTDETAIL' AND KSQL_COL_NAME IN ('FISSEND')) 
 ALTER TABLE T_PDS_ENCRYPTDETAIL ADD (FISSEND CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDS_ENCRYPTDETAIL' AND KSQL_COL_NAME IN ('FSENDDATE')) 
 ALTER TABLE T_PDS_ENCRYPTDETAIL ADD (FSENDDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDS_ENCRYPTDETAIL' AND KSQL_COL_NAME IN ('FISTERMINATE')) 
 ALTER TABLE T_PDS_ENCRYPTDETAIL ADD (FISTERMINATE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDS_ENCRYPTDETAIL' AND KSQL_COL_NAME IN ('FTERMINATEDATE')) 
 ALTER TABLE T_PDS_ENCRYPTDETAIL ADD (FTERMINATEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDS_SUPENCRYPTDETAIL' AND KSQL_COL_NAME IN ('FISSEND')) 
 ALTER TABLE T_PDS_SUPENCRYPTDETAIL ADD (FISSEND CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDS_SUPENCRYPTDETAIL' AND KSQL_COL_NAME IN ('FSENDDATE')) 
 ALTER TABLE T_PDS_SUPENCRYPTDETAIL ADD (FSENDDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDS_SUPENCRYPTDETAIL' AND KSQL_COL_NAME IN ('FISTERMINATE')) 
 ALTER TABLE T_PDS_SUPENCRYPTDETAIL ADD (FISTERMINATE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDS_SUPENCRYPTDETAIL' AND KSQL_COL_NAME IN ('FTERMINATEDATE')) 
 ALTER TABLE T_PDS_SUPENCRYPTDETAIL ADD (FTERMINATEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_FIELDMAPPER') 
 CREATE TABLE T_PDS_FIELDMAPPER (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FNAME NVARCHAR(300) DEFAULT ' ' NOT NULL,
FSOURCEBILL VARCHAR(36) DEFAULT ' ' NOT NULL,
FTARGETBILL VARCHAR(36) DEFAULT ' ' NOT NULL,
FISDEFAULT CHAR(1) DEFAULT '0' NOT NULL,
FISV_ID VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_FIELDMAPPERENTRY') 
 CREATE TABLE T_PDS_FIELDMAPPERENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSOURCEFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FTARGETFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEFAULTVALUE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNOTE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_FIELDMAPPER_L') 
 CREATE TABLE T_PDS_FIELDMAPPER_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(300) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_EXPSELECTLOG') 
 CREATE TABLE T_PDS_EXPSELECTLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FPACKAGEID BIGINT DEFAULT 0 NOT NULL,
FINDEXTYPEID BIGINT DEFAULT 0 NOT NULL,
FTURNS INT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_EXPSELECTLOGENTRY') 
 CREATE TABLE T_PDS_EXPSELECTLOGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FISINVITE CHAR(1) DEFAULT '0' NOT NULL,
FEXPERTID BIGINT DEFAULT 0 NOT NULL,
FTURNS INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_SUPSELECTLOG') 
 CREATE TABLE T_PDS_SUPSELECTLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FPACKAGEID BIGINT DEFAULT 0 NOT NULL,
FPURLISTID BIGINT DEFAULT 0 NOT NULL,
FTURNS INT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_SUPSELECTLOGENTRY') 
 CREATE TABLE T_PDS_SUPSELECTLOGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FISINVITE CHAR(1) DEFAULT '0' NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FTURNS INT DEFAULT 0 NOT NULL
);



/**End C:\PDM_UPGRADE\PDM1\PDS_table.sql **/
