﻿/**Begin C:\PDM_UPGRADE\PDM1\PDS_constraint.sql **/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_VALIDATORCONFIG_FOID') CREATE INDEX IDX_PDS_VALIDATORCONFIG_FOID ON T_PDS_VALIDATORCONFIG ( FOPERATION );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_NOTICESUP_SUP_FTPYE') CREATE INDEX IDX_PDS_NOTICESUP_SUP_FTPYE ON T_PDS_NOTICESUP_SUP ( FSUPLETTERSTYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_DEFAULTCONFIG_BID') CREATE INDEX IDX_PDS_DEFAULTCONFIG_BID ON T_PDS_DEFAULTCONFIG ( FBIZNODEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_DEFAULTCONFIG_CID') CREATE INDEX IDX_PDS_DEFAULTCONFIG_CID ON T_PDS_DEFAULTCONFIG ( FCOMPONENTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_EXTPLUGIN_NAME') CREATE INDEX IDX_PDS_EXTPLUGIN_NAME ON T_PDS_EXTPLUGIN ( FPLUGINNAME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_EXTFILTER_FBID') CREATE INDEX IDX_PDS_EXTFILTER_FBID ON T_PDS_EXTFILTER ( FBASEDATAID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_EXTDATA_FGROUPID') CREATE INDEX IDX_PDS_EXTDATA_FGROUPID ON T_PDS_EXTDATA ( FGROUPID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_BIDOPENDETAIL_PAKID') CREATE INDEX IDX_PDS_BIDOPENDETAIL_PAKID ON T_PDS_BIDOPENDETAIL ( FPACKAGEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_BIDOPENDETAIL_SID') CREATE INDEX IDX_PDS_BIDOPENDETAIL_SID ON T_PDS_BIDOPENDETAIL ( FSUPPLIERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_BIDOPENDETAIL_OID') CREATE INDEX IDX_PDS_BIDOPENDETAIL_OID ON T_PDS_BIDOPENDETAIL ( FOPENTYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_ENCRYPTDETAIL_PAKID') CREATE INDEX IDX_PDS_ENCRYPTDETAIL_PAKID ON T_PDS_ENCRYPTDETAIL ( FPACKAGEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_ENCRYPTDETAIL_SID') CREATE INDEX IDX_PDS_ENCRYPTDETAIL_SID ON T_PDS_ENCRYPTDETAIL ( FSUPPLIERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_ENCRYPTDETAIL_OID') CREATE INDEX IDX_PDS_ENCRYPTDETAIL_OID ON T_PDS_ENCRYPTDETAIL ( FOPENTYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_SUPENCRYPTDETAIL_PAKID') CREATE INDEX IDX_PDS_SUPENCRYPTDETAIL_PAKID ON T_PDS_SUPENCRYPTDETAIL ( FPACKAGEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_SUPENCRYPTDETAIL_SID') CREATE INDEX IDX_PDS_SUPENCRYPTDETAIL_SID ON T_PDS_SUPENCRYPTDETAIL ( FSUPPLIERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_SUPENCRYPTDETAIL_OID') CREATE INDEX IDX_PDS_SUPENCRYPTDETAIL_OID ON T_PDS_SUPENCRYPTDETAIL ( FOPENTYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_FIELDMAPPER_SID') CREATE INDEX IDX_PDS_FIELDMAPPER_SID ON T_PDS_FIELDMAPPER ( FSOURCEBILL );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_FIELDMAPPER_TID') CREATE INDEX IDX_PDS_FIELDMAPPER_TID ON T_PDS_FIELDMAPPER ( FTARGETBILL );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COSTDETAILBILL_PURID') CREATE INDEX IDX_PDS_COSTDETAILBILL_PURID ON T_PDS_COSTDETAILBILL ( FPURLISTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COSTDETAILBILL_SID') CREATE INDEX IDX_PDS_COSTDETAILBILL_SID ON T_PDS_COSTDETAILBILL ( FSUPPLIERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COSTDETAILENTRY_PID') CREATE INDEX IDX_PDS_COSTDETAILENTRY_PID ON T_PDS_COSTDETAILENTRY ( FPROJECTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COSTDETAILENTRY_PURID') CREATE INDEX IDX_PDS_COSTDETAILENTRY_PURID ON T_PDS_COSTDETAILENTRY ( FPURLISTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COSTDETAILENTRY_COSID') CREATE INDEX IDX_PDS_COSTDETAILENTRY_COSID ON T_PDS_COSTDETAILENTRY ( FCOSTITEMID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_BIZOPERATELOG_PID') CREATE INDEX IDX_PDS_BIZOPERATELOG_PID ON T_PDS_BIZOPERATELOG ( FPROJECTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_BIZOPERATELOG_OID') CREATE INDEX IDX_PDS_BIZOPERATELOG_OID ON T_PDS_BIZOPERATELOG ( FOPTYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_DOCFILTER_FBID') CREATE INDEX IDX_PDS_DOCFILTER_FBID ON T_PDS_DOCFILTER ( FBIZNODE );


/**End C:\PDM_UPGRADE\PDM1\PDS_constraint.sql **/
