﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PDS_constraint.sql **/
 EXEC P_ALTERPK 'PK_PDS_AREADISTRICT', 'T_PDS_AREADISTRICT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_AREADISTRICT_FNUMBER') CREATE INDEX IDX_PDS_AREADISTRICT_FNUMBER ON T_PDS_AREADISTRICT ( FNUMBER );


 EXEC P_ALTERPK 'PK_PDS_AREADISTRICT_L', 'T_PDS_AREADISTRICT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_AREADISTRICT_L_FID') CREATE INDEX IDX_PDS_AREADISTRICT_L_FID ON T_PDS_AREADISTRICT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PDS_BILLCOMP', 'T_PDS_BILLCOMP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_BILLCOMP_BID') CREATE INDEX IDX_PDS_BILLCOMP_BID ON T_PDS_BILLCOMP ( FBILLID );


 EXEC P_ALTERPK 'PK_PDS_BILLCOMPENTRY', 'T_PDS_BILLCOMPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_BILLCOMPENTRY_FID') CREATE INDEX IDX_PDS_BILLCOMPENTRY_FID ON T_PDS_BILLCOMPENTRY ( FID );


 EXEC P_ALTERPK 'PK_PDS_BILLFLOW', 'T_PDS_BILLFLOW', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_BILLFLOW_BID') CREATE INDEX IDX_PDS_BILLFLOW_BID ON T_PDS_BILLFLOW ( FBILLID );


 EXEC P_ALTERPK 'PK_PDS_BILLNODE', 'T_PDS_BILLNODE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_BILLNODE_FID') CREATE INDEX IDX_PDS_BILLNODE_FID ON T_PDS_BILLNODE ( FID );


 EXEC P_ALTERPK 'PK_PDS_BILLNODESUB', 'T_PDS_BILLNODESUB', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_BILLNODESUB_FID') CREATE INDEX IDX_PDS_BILLNODESUB_FID ON T_PDS_BILLNODESUB ( FDETAILID );


 EXEC P_ALTERPK 'PK_PDS_BIZNODE', 'T_PDS_BIZNODE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_BIZNODE_FNUMBER') CREATE INDEX IDX_PDS_BIZNODE_FNUMBER ON T_PDS_BIZNODE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_BIZNODE_FMASTERID') CREATE INDEX IDX_PDS_BIZNODE_FMASTERID ON T_PDS_BIZNODE ( FMASTERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_BIZNODE_FCREATETIME') CREATE INDEX IDX_PDS_BIZNODE_FCREATETIME ON T_PDS_BIZNODE ( FCREATETIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_BIZNODE_FBIZOBJECT') CREATE INDEX IDX_PDS_BIZNODE_FBIZOBJECT ON T_PDS_BIZNODE ( FBIZOBJECT );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_BIZNODE_FEXTOBJECT') CREATE INDEX IDX_PDS_BIZNODE_FEXTOBJECT ON T_PDS_BIZNODE ( FEXTOBJECT );


 EXEC P_ALTERPK 'PK_PDS_BIZNODE_L', 'T_PDS_BIZNODE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_BIZNODE_L_FID') CREATE INDEX IDX_PDS_BIZNODE_L_FID ON T_PDS_BIZNODE_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_BIZNODE_L_FNAME') CREATE INDEX IDX_PDS_BIZNODE_L_FNAME ON T_PDS_BIZNODE_L ( FNAME );


 EXEC P_ALTERPK 'PK_PDS_BIZROLE', 'T_PDS_BIZROLE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_BIZROLE_FCREATETIME') CREATE INDEX IDX_PDS_BIZROLE_FCREATETIME ON T_PDS_BIZROLE ( FCREATETIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_BIZROLE_FMASTERID') CREATE INDEX IDX_PDS_BIZROLE_FMASTERID ON T_PDS_BIZROLE ( FMASTERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_BIZROLE_FNUMBER') CREATE INDEX IDX_PDS_BIZROLE_FNUMBER ON T_PDS_BIZROLE ( FNUMBER );


 EXEC P_ALTERPK 'PK_PDS_BIZROLE_L', 'T_PDS_BIZROLE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_BIZROLE_L_FID') CREATE INDEX IDX_PDS_BIZROLE_L_FID ON T_PDS_BIZROLE_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_BIZROLE_FNAME') CREATE INDEX IDX_PDS_BIZROLE_FNAME ON T_PDS_BIZROLE_L ( FNAME );


 EXEC P_ALTERPK 'PK_PDS_BIZROLEENTRY', 'T_PDS_BIZROLEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_ENTRY_BIZROLE_FID') CREATE INDEX IDX_PDS_ENTRY_BIZROLE_FID ON T_PDS_BIZROLEENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_ENTRY_FBIZNODEID') CREATE INDEX IDX_PDS_ENTRY_FBIZNODEID ON T_PDS_BIZROLEENTRY ( FBIZNODEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_ENTRY_FBIZOBJECT') CREATE INDEX IDX_PDS_ENTRY_FBIZOBJECT ON T_PDS_BIZROLEENTRY ( FBIZOBJECT );


 EXEC P_ALTERPK 'PK_PDS_CHGCONDITION', 'T_PDS_CHGCONDITION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_CHG_FBIZNODEID') CREATE INDEX IDX_PDS_CHG_FBIZNODEID ON T_PDS_CHGCONDITION ( FBIZNODEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_CHG_FCHGTYPEID') CREATE INDEX IDX_PDS_CHG_FCHGTYPEID ON T_PDS_CHGCONDITION ( FCHGTYPEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_CHG_FCREATETIME') CREATE INDEX IDX_PDS_CHG_FCREATETIME ON T_PDS_CHGCONDITION ( FCREATETIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_CHG_FNUMBER') CREATE INDEX IDX_PDS_CHG_FNUMBER ON T_PDS_CHGCONDITION ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_CHG_FSOURCETYPEID') CREATE INDEX IDX_PDS_CHG_FSOURCETYPEID ON T_PDS_CHGCONDITION ( FSOURCETYPEID );


 EXEC P_ALTERPK 'PK_PDS_CHGCONDITION_L', 'T_PDS_CHGCONDITION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_CHGCONDITION_L_FID') CREATE INDEX IDX_PDS_CHGCONDITION_L_FID ON T_PDS_CHGCONDITION_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_CHGCONDITION_L_FNAME') CREATE INDEX IDX_PDS_CHGCONDITION_L_FNAME ON T_PDS_CHGCONDITION_L ( FNAME );


 EXEC P_ALTERPK 'PK_PDS_CHGHANDLER', 'T_PDS_CHGHANDLER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_HANDLER_FBIZNODEID') CREATE INDEX IDX_PDS_HANDLER_FBIZNODEID ON T_PDS_CHGHANDLER ( FBIZNODEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_HANDLER_FCHGTYPEID') CREATE INDEX IDX_PDS_HANDLER_FCHGTYPEID ON T_PDS_CHGHANDLER ( FCHGTYPEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_HANDLER_FCREATETIME') CREATE INDEX IDX_PDS_HANDLER_FCREATETIME ON T_PDS_CHGHANDLER ( FCREATETIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_HANDLER_FNUMBER') CREATE INDEX IDX_PDS_HANDLER_FNUMBER ON T_PDS_CHGHANDLER ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_HANDLER_FSOURCETYPEID') CREATE INDEX IDX_PDS_HANDLER_FSOURCETYPEID ON T_PDS_CHGHANDLER ( FSOURCETYPEID );


 EXEC P_ALTERPK 'PK_PDS_CHGHANDLER_L', 'T_PDS_CHGHANDLER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_CHGHANDLER_L_FID') CREATE INDEX IDX_PDS_CHGHANDLER_L_FID ON T_PDS_CHGHANDLER_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_CHGHANDLER_L_FNAME') CREATE INDEX IDX_PDS_CHGHANDLER_L_FNAME ON T_PDS_CHGHANDLER_L ( FNAME );


 EXEC P_ALTERPK 'PK_PDS_COMPAREINFO', 'T_PDS_COMPAREINFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COMPAREINFO_FCREATORID') CREATE INDEX IDX_PDS_COMPAREINFO_FCREATORID ON T_PDS_COMPAREINFO ( FCREATORID );


 EXEC P_ALTERPK 'PK_PDS_COMPAREINFO_L', 'T_PDS_COMPAREINFO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COMPAREINFO_L_FID') CREATE INDEX IDX_PDS_COMPAREINFO_L_FID ON T_PDS_COMPAREINFO_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PDS_COMPARESCHEME', 'T_PDS_COMPARESCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COMPSCHEME_FID') CREATE INDEX IDX_PDS_COMPSCHEME_FID ON T_PDS_COMPARESCHEME ( FNUMBER );


 EXEC P_ALTERPK 'PK_PDS_COMPARESCHEME_L', 'T_PDS_COMPARESCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COMPARESCHEME_L') CREATE INDEX IDX_PDS_COMPARESCHEME_L ON T_PDS_COMPARESCHEME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PDS_COMPCONFIG', 'T_PDS_COMPCONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COMPCONFIG_FNUMBER') CREATE INDEX IDX_PDS_COMPCONFIG_FNUMBER ON T_PDS_COMPCONFIG ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COMPCONFIG_FMASTERID') CREATE INDEX IDX_PDS_COMPCONFIG_FMASTERID ON T_PDS_COMPCONFIG ( FMASTERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COMPCONFIG_FBIZNODE') CREATE INDEX IDX_PDS_COMPCONFIG_FBIZNODE ON T_PDS_COMPCONFIG ( FBIZNODEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COMPCONFIG_FSRCTYPE') CREATE INDEX IDX_PDS_COMPCONFIG_FSRCTYPE ON T_PDS_COMPCONFIG ( FSRCTYPELD );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COMPCONFIG_FCLASS') CREATE INDEX IDX_PDS_COMPCONFIG_FCLASS ON T_PDS_COMPCONFIG ( FSOURCECLASSID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COMPCONFIG_FTYPE') CREATE INDEX IDX_PDS_COMPCONFIG_FTYPE ON T_PDS_COMPCONFIG ( FSOURCETYPEID );


 EXEC P_ALTERPK 'PK_PDS_COMPCONFIG_L', 'T_PDS_COMPCONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COMPCONFIG_L_FID') CREATE INDEX IDX_PDS_COMPCONFIG_L_FID ON T_PDS_COMPCONFIG_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COMPCONFIG_L_NAME') CREATE INDEX IDX_PDS_COMPCONFIG_L_NAME ON T_PDS_COMPCONFIG_L ( FNAME );


 EXEC P_ALTERPK 'PK_PDS_COMPCONFIGENTRY', 'T_PDS_COMPCONFIGENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COMPCONFIGENTRY_FID') CREATE INDEX IDX_PDS_COMPCONFIGENTRY_FID ON T_PDS_COMPCONFIGENTRY ( FID );


 EXEC P_ALTERPK 'PK_PDS_COMPGROUP', 'T_PDS_COMPGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COMPGROUP_NO') CREATE INDEX IDX_PDS_COMPGROUP_NO ON T_PDS_COMPGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_PDS_COMPGROUP_L', 'T_PDS_COMPGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COMPG_L_FID') CREATE INDEX IDX_PDS_COMPG_L_FID ON T_PDS_COMPGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PDS_COMPONENT', 'T_PDS_COMPONENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COMPONENT_NO') CREATE INDEX IDX_PDS_COMPONENT_NO ON T_PDS_COMPONENT ( FNUMBER );


 EXEC P_ALTERPK 'PK_PDS_COMPONENT_CATE', 'T_PDS_COMPONENT_CATE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COMP_CATE_FID') CREATE INDEX IDX_PDS_COMP_CATE_FID ON T_PDS_COMPONENT_CATE ( FID );


 EXEC P_ALTERPK 'PK_PDS_COMPONENT_DEPT', 'T_PDS_COMPONENT_DEPT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COMP_DEPT_FID') CREATE INDEX IDX_PDS_COMP_DEPT_FID ON T_PDS_COMPONENT_DEPT ( FID );


 EXEC P_ALTERPK 'PK_PDS_COMPONENT_L', 'T_PDS_COMPONENT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COMPONENT_L_FID') CREATE INDEX IDX_PDS_COMPONENT_L_FID ON T_PDS_COMPONENT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PDS_COMPONENT_PORG', 'T_PDS_COMPONENT_PORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COMP_PORG_FID') CREATE INDEX IDX_PDS_COMP_PORG_FID ON T_PDS_COMPONENT_PORG ( FID );


 EXEC P_ALTERPK 'PK_PDS_COMPREG', 'T_PDS_COMPREG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COMPREG_FNUMBER') CREATE INDEX IDX_PDS_COMPREG_FNUMBER ON T_PDS_COMPREG ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COMPREG_FMASTERID') CREATE INDEX IDX_PDS_COMPREG_FMASTERID ON T_PDS_COMPREG ( FMASTERID );


 EXEC P_ALTERPK 'PK_PDS_COMPREG_L', 'T_PDS_COMPREG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COMPREG_L_FID') CREATE INDEX IDX_PDS_COMPREG_L_FID ON T_PDS_COMPREG_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COMPREG_L_NAME') CREATE INDEX IDX_PDS_COMPREG_L_NAME ON T_PDS_COMPREG_L ( FNAME );


 EXEC P_ALTERPK 'PK_PDS_COMPREG_MATGROUP', 'T_PDS_COMPREG_MATGROUP', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COMPREG_MATGROUP_FID') CREATE INDEX IDX_PDS_COMPREG_MATGROUP_FID ON T_PDS_COMPREG_MATGROUP ( FID );


 EXEC P_ALTERPK 'PK_PDS_DOCTPL', 'T_PDS_DOCTPL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_DOCTPL_NODEID') CREATE INDEX IDX_PDS_DOCTPL_NODEID ON T_PDS_DOCTPL ( FBIZNODEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_DOCTPL_MID') CREATE INDEX IDX_PDS_DOCTPL_MID ON T_PDS_DOCTPL ( FMASTERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_DOCTPL_NUMBER') CREATE INDEX IDX_PDS_DOCTPL_NUMBER ON T_PDS_DOCTPL ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_DOCTPL_TYPEID') CREATE INDEX IDX_PDS_DOCTPL_TYPEID ON T_PDS_DOCTPL ( FSRCTYPEID );


 EXEC P_ALTERPK 'PK_PDS_DOCTPL_L', 'T_PDS_DOCTPL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_DOCTPL_FID') CREATE INDEX IDX_PDS_DOCTPL_FID ON T_PDS_DOCTPL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PDS_DOCTPLPURDEPT', 'T_PDS_DOCTPLPURDEPT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_DOCTPLPURDEPT_FID') CREATE INDEX IDX_PDS_DOCTPLPURDEPT_FID ON T_PDS_DOCTPLPURDEPT ( FID );


 EXEC P_ALTERPK 'PK_PDS_DOCTPLPURGROUP', 'T_PDS_DOCTPLPURGROUP', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_DOCTPLPURGROUP_FID') CREATE INDEX IDX_PDS_DOCTPLPURGROUP_FID ON T_PDS_DOCTPLPURGROUP ( FID );


 EXEC P_ALTERPK 'PK_PDS_DOCTPLPURORG', 'T_PDS_DOCTPLPURORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_DOCTPLPURORG_FID') CREATE INDEX IDX_PDS_DOCTPLPURORG_FID ON T_PDS_DOCTPLPURORG ( FID );


 EXEC P_ALTERPK 'PK_PDS_FLOWCATEGORY', 'T_PDS_FLOWCATEGORY', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_FLOWCATEGORY_FID') CREATE INDEX IDX_PDS_FLOWCATEGORY_FID ON T_PDS_FLOWCATEGORY ( FID );


 EXEC P_ALTERPK 'PK_PDS_FLOWCONFIG', 'T_PDS_FLOWCONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_FLOW_FCREATETIME') CREATE INDEX IDX_PDS_FLOW_FCREATETIME ON T_PDS_FLOWCONFIG ( FCREATETIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_FLOW_MASTERID') CREATE INDEX IDX_PDS_FLOW_MASTERID ON T_PDS_FLOWCONFIG ( FMASTERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_FLOW_FNUMBER') CREATE INDEX IDX_PDS_FLOW_FNUMBER ON T_PDS_FLOWCONFIG ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_FLOW_FPURDEPTID') CREATE INDEX IDX_PDS_FLOW_FPURDEPTID ON T_PDS_FLOWCONFIG ( FPURDEPTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_FLOW_FSOURCE') CREATE INDEX IDX_PDS_FLOW_FSOURCE ON T_PDS_FLOWCONFIG ( FSOURCECLASSID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_FLOW_FSOURCETYPE') CREATE INDEX IDX_PDS_FLOW_FSOURCETYPE ON T_PDS_FLOWCONFIG ( FSOURCETYPEID );


 EXEC P_ALTERPK 'PK_PDS_FLOWCONFIG_L', 'T_PDS_FLOWCONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_SRCTYPE_L_FID') CREATE INDEX IDX_PDS_SRCTYPE_L_FID ON T_PDS_FLOWCONFIG_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_SRCTYPE_L_FNAME') CREATE INDEX IDX_PDS_SRCTYPE_L_FNAME ON T_PDS_FLOWCONFIG_L ( FNAME );


 EXEC P_ALTERPK 'PK_PDS_FLOWNODE', 'T_PDS_FLOWNODE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_NODE_FID') CREATE INDEX IDX_PDS_NODE_FID ON T_PDS_FLOWNODE ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_NODE_FBIZNODEID') CREATE INDEX IDX_PDS_NODE_FBIZNODEID ON T_PDS_FLOWNODE ( FBIZNODEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_NODE_FBIZOBJECT') CREATE INDEX IDX_PDS_NODE_FBIZOBJECT ON T_PDS_FLOWNODE ( FBIZOBJECT );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_NODE_FEXTOBJECT') CREATE INDEX IDX_PDS_NODE_FEXTOBJECT ON T_PDS_FLOWNODE ( FEXTOBJECT );


 EXEC P_ALTERPK 'PK_PDS_FLOWNODESUB', 'T_PDS_FLOWNODESUB', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_SUB_FENTRYID') CREATE INDEX IDX_PDS_SUB_FENTRYID ON T_PDS_FLOWNODESUB ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_SUB_FBIZNODEID') CREATE INDEX IDX_PDS_SUB_FBIZNODEID ON T_PDS_FLOWNODESUB ( FBIZNODEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_SUB_FBIZOBJECT') CREATE INDEX IDX_PDS_SUB_FBIZOBJECT ON T_PDS_FLOWNODESUB ( FBIZOBJECT );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_SUB_FEXTOBJECT') CREATE INDEX IDX_PDS_SUB_FEXTOBJECT ON T_PDS_FLOWNODESUB ( FEXTOBJECT );


 EXEC P_ALTERPK 'PK_PDS_FLOWPURGROUP', 'T_PDS_FLOWPURGROUP', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_FLOWPURGROUP_FID') CREATE INDEX IDX_PDS_FLOWPURGROUP_FID ON T_PDS_FLOWPURGROUP ( FID );


 EXEC P_ALTERPK 'PK_PDS_FLOWPURORG', 'T_PDS_FLOWPURORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_FLOWPURORG_FID') CREATE INDEX IDX_PDS_FLOWPURORG_FID ON T_PDS_FLOWPURORG ( FID );


 EXEC P_ALTERPK 'PK_PDS_INVITECONFIG', 'T_PDS_INVITECONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_INVITECONFIG_FMASTERID') CREATE INDEX IDX_PDS_INVITECONFIG_FMASTERID ON T_PDS_INVITECONFIG ( FMASTERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_INVITECONFIG_FNUMBER') CREATE INDEX IDX_PDS_INVITECONFIG_FNUMBER ON T_PDS_INVITECONFIG ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_INVITECONFIG_FTYPE') CREATE INDEX IDX_PDS_INVITECONFIG_FTYPE ON T_PDS_INVITECONFIG ( FSOURCETYPELD );


 EXEC P_ALTERPK 'PK_PDS_INVITECONFIG_L', 'T_PDS_INVITECONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_INVITECONFIG_L_FID') CREATE INDEX IDX_PDS_INVITECONFIG_L_FID ON T_PDS_INVITECONFIG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PDS_LETTERPEOPLE', 'T_PDS_LETTERPEOPLE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_LETTERPEOPLE_FID') CREATE INDEX IDX_PDS_LETTERPEOPLE_FID ON T_PDS_LETTERPEOPLE ( FID );


 EXEC P_ALTERPK 'PK_PDS_NOTICESUP', 'T_PDS_NOTICESUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_NOTICESUP_FPID') CREATE INDEX IDX_PDS_NOTICESUP_FPID ON T_PDS_NOTICESUP ( FPROJECTID );


 EXEC P_ALTERPK 'PK_PDS_NOTICESUP_LETTERS', 'T_PDS_NOTICESUP_LETTERS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_NOTICESUP_LETTERS_FLSU') CREATE INDEX IDX_PDS_NOTICESUP_LETTERS_FLSU ON T_PDS_NOTICESUP_LETTERS ( FLETTERSSUPPLIER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_NOTICESUP_LETTERS_FID') CREATE INDEX IDX_PDS_NOTICESUP_LETTERS_FID ON T_PDS_NOTICESUP_LETTERS ( FID );


 EXEC P_ALTERPK 'PK_PDS_NOTICESUP_SUP', 'T_PDS_NOTICESUP_SUP', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_NOTICESUP_SUP_FEID') CREATE INDEX IDX_PDS_NOTICESUP_SUP_FEID ON T_PDS_NOTICESUP_SUP ( FENTRYPROJECTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_NOTICESUP_SUP_FSUP') CREATE INDEX IDX_PDS_NOTICESUP_SUP_FSUP ON T_PDS_NOTICESUP_SUP ( FSUPPLIERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_NOTICESUP_SUP_FID') CREATE INDEX IDX_PDS_NOTICESUP_SUP_FID ON T_PDS_NOTICESUP_SUP ( FID );


 EXEC P_ALTERPK 'PK_PDS_PURDEPART', 'T_PDS_PURDEPART', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_PURDEPART_NO') CREATE INDEX IDX_PDS_PURDEPART_NO ON T_PDS_PURDEPART ( FNUMBER );


 EXEC P_ALTERPK 'PK_PDS_PURDEPART_GROUP', 'T_PDS_PURDEPART_GROUP', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_PURDEPT_GROUP_FID') CREATE INDEX IDX_PDS_PURDEPT_GROUP_FID ON T_PDS_PURDEPART_GROUP ( FID );


 EXEC P_ALTERPK 'PK_PDS_PURDEPART_L', 'T_PDS_PURDEPART_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_PURDEPART_L_FID') CREATE INDEX IDX_PDS_PURDEPART_L_FID ON T_PDS_PURDEPART_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PDS_REGIONGROUP', 'T_PDS_REGIONGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_REGIONGROUP_NUMBER') CREATE INDEX IDX_PDS_REGIONGROUP_NUMBER ON T_PDS_REGIONGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_PDS_REGIONGROUP_L', 'T_PDS_REGIONGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_REGIONGROUP_L_FID') CREATE INDEX IDX_PDS_REGIONGROUP_L_FID ON T_PDS_REGIONGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PDS_REGIONGROUPENTRY', 'T_PDS_REGIONGROUPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_REGIONGROUPENTRY_FID') CREATE INDEX IDX_PDS_REGIONGROUPENTRY_FID ON T_PDS_REGIONGROUPENTRY ( FID );


 EXEC P_ALTERPK 'PK_PDS_SUPPLIERDECISION_L', 'T_PDS_SUPPLIERDECISION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_DECISION_L_FLOCALEID') CREATE INDEX IDX_PDS_DECISION_L_FLOCALEID ON T_PDS_SUPPLIERDECISION_L ( FLOCALEID );


 EXEC P_ALTERPK 'PK_PDS_TPLCONFIG', 'T_PDS_TPLCONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_TPLCONFIG_FNUMBER') CREATE INDEX IDX_PDS_TPLCONFIG_FNUMBER ON T_PDS_TPLCONFIG ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_TPLCONFIG_FMASTERID') CREATE INDEX IDX_PDS_TPLCONFIG_FMASTERID ON T_PDS_TPLCONFIG ( FMASTERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_TPLCONFIG_FBIZNODEID') CREATE INDEX IDX_PDS_TPLCONFIG_FBIZNODEID ON T_PDS_TPLCONFIG ( FBIZNODEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_TPLCONFIG_FSOURCE') CREATE INDEX IDX_PDS_TPLCONFIG_FSOURCE ON T_PDS_TPLCONFIG ( FSOURCETYPEID );


 EXEC P_ALTERPK 'PK_PDS_TPLCONFIG_L', 'T_PDS_TPLCONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_TPLCONFIG_L_FID') CREATE INDEX IDX_PDS_TPLCONFIG_L_FID ON T_PDS_TPLCONFIG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PDS_TPLCONFIGENTRY', 'T_PDS_TPLCONFIGENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_TPLCONFIGENTRY_FID') CREATE INDEX IDX_PDS_TPLCONFIGENTRY_FID ON T_PDS_TPLCONFIGENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_TPLCONFIGENTRY_BIZ') CREATE INDEX IDX_PDS_TPLCONFIGENTRY_BIZ ON T_PDS_TPLCONFIGENTRY ( FBIZOBJECT );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_TPLCONFIGENTRY_COM') CREATE INDEX IDX_PDS_TPLCONFIGENTRY_COM ON T_PDS_TPLCONFIGENTRY ( FCOMPONENTID );


 EXEC P_ALTERPK 'PK_PDS_VALIDATORCONFIG', 'T_PDS_VALIDATORCONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_VALIDATORCONFIG_BIZ') CREATE INDEX IDX_PDS_VALIDATORCONFIG_BIZ ON T_PDS_VALIDATORCONFIG ( FBIZOBJECT );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_VALIDATORCONFIG_NUMER') CREATE INDEX IDX_PDS_VALIDATORCONFIG_NUMER ON T_PDS_VALIDATORCONFIG ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_VALIDATORCONFIG_MASTER') CREATE INDEX IDX_PDS_VALIDATORCONFIG_MASTER ON T_PDS_VALIDATORCONFIG ( FMASTERID );


 EXEC P_ALTERPK 'PK_PDS_VALIDATORCONFIG_L', 'T_PDS_VALIDATORCONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_VALIDATORCONFIG_FID') CREATE INDEX IDX_PDS_VALIDATORCONFIG_FID ON T_PDS_VALIDATORCONFIG_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PDS_constraint.sql **/
