﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PDS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_AREADISTRICT') 
 CREATE TABLE T_PDS_AREADISTRICT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT '0' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_AREADISTRICT_L') 
 CREATE TABLE T_PDS_AREADISTRICT_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_BILLCOMP') 
 CREATE TABLE T_PDS_BILLCOMP (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_BILLCOMPENTRY') 
 CREATE TABLE T_PDS_BILLCOMPENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FCOMPONENTID BIGINT DEFAULT 0 NOT NULL,
FBIZOBJECT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCTPLID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_BILLFLOW') 
 CREATE TABLE T_PDS_BILLFLOW (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_BILLNODE') 
 CREATE TABLE T_PDS_BILLNODE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBIZNODEID BIGINT DEFAULT 0 NOT NULL,
FTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FISFLOWCHART CHAR(1) DEFAULT '0' NOT NULL,
FBIZOBJECT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXTOBJECT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FBIZSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_BILLNODESUB') 
 CREATE TABLE T_PDS_BILLNODESUB (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBIZNODEID BIGINT DEFAULT 0 NOT NULL,
FTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FISAUDIT CHAR(1) DEFAULT '0' NOT NULL,
FISFLOWCHART CHAR(1) DEFAULT '0' NOT NULL,
FEXTOBJECT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FBIZSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FBIZOBJECT NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_BIZNODE') 
 CREATE TABLE T_PDS_BIZNODE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FBIZOBJECT VARCHAR(36) DEFAULT ' ' NOT NULL,
FEXTOBJECT VARCHAR(36) DEFAULT ' ' NOT NULL,
FTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FISCHANGENODE CHAR(1) DEFAULT '0' NOT NULL,
FISSUPPLIER CHAR(1) DEFAULT '0' NOT NULL,
FPLUGINNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_BIZNODE_L') 
 CREATE TABLE T_PDS_BIZNODE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_BIZROLE') 
 CREATE TABLE T_PDS_BIZROLE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_BIZROLE_L') 
 CREATE TABLE T_PDS_BIZROLE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_BIZROLEENTRY') 
 CREATE TABLE T_PDS_BIZROLEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBIZNODEID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBIZOBJECT VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_CHGCONDITION') 
 CREATE TABLE T_PDS_CHGCONDITION (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FPLUGIN VARCHAR(100) DEFAULT ' ' NOT NULL,
FBIZNODEID BIGINT DEFAULT 0 NOT NULL,
FCHGTYPEID BIGINT DEFAULT 0 NOT NULL,
FSOURCETYPEID BIGINT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_CHGCONDITION_L') 
 CREATE TABLE T_PDS_CHGCONDITION_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_CHGHANDLER') 
 CREATE TABLE T_PDS_CHGHANDLER (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FPLUGIN VARCHAR(100) DEFAULT ' ' NOT NULL,
FCHGTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZNODEID BIGINT DEFAULT 0 NOT NULL,
FSOURCETYPEID BIGINT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_CHGHANDLER_L') 
 CREATE TABLE T_PDS_CHGHANDLER_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_COMPAREINFO') 
 CREATE TABLE T_PDS_COMPAREINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FMAINDECISION VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_COMPAREINFO_L') 
 CREATE TABLE T_PDS_COMPAREINFO_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_COMPARESCHEME') 
 CREATE TABLE T_PDS_COMPARESCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FPROJECTCONTENT NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FPROJECTCONTENT_TAG NCLOB DEFAULT ' ',
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_COMPARESCHEME_L') 
 CREATE TABLE T_PDS_COMPARESCHEME_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_COMPCONFIG') 
 CREATE TABLE T_PDS_COMPCONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FBIZNODEID BIGINT DEFAULT 0 NOT NULL,
FCOMPONENTID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPURDEPT BIGINT DEFAULT 0 NOT NULL,
FPURCHASERID BIGINT DEFAULT 0 NOT NULL,
FSOURCECLASSID BIGINT DEFAULT 0 NOT NULL,
FSRCTYPELD BIGINT DEFAULT 0 NOT NULL,
FSOURCETYPEID BIGINT DEFAULT 0 NOT NULL,
FOPERATE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FVALIDATORPLUGIN NVARCHAR(225) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_COMPCONFIG_L') 
 CREATE TABLE T_PDS_COMPCONFIG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_COMPCONFIGENTRY') 
 CREATE TABLE T_PDS_COMPCONFIGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFIELDID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDISPLAYNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISVISIBLE CHAR(1) DEFAULT '0' NOT NULL,
FISEDITABLE CHAR(1) DEFAULT '0' NOT NULL,
FISMUSTINPUT CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_COMPGROUP') 
 CREATE TABLE T_PDS_COMPGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FISLEAF CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_COMPGROUP_L') 
 CREATE TABLE T_PDS_COMPGROUP_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_COMPONENT') 
 CREATE TABLE T_PDS_COMPONENT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FBIZOBJECT VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_COMPONENT_CATE') 
 CREATE TABLE T_PDS_COMPONENT_CATE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_COMPONENT_DEPT') 
 CREATE TABLE T_PDS_COMPONENT_DEPT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_COMPONENT_L') 
 CREATE TABLE T_PDS_COMPONENT_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_COMPONENT_PORG') 
 CREATE TABLE T_PDS_COMPONENT_PORG (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_COMPREG') 
 CREATE TABLE T_PDS_COMPREG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FBIZNODEID BIGINT DEFAULT 0 NOT NULL,
FBIZOBJECT NVARCHAR(36) DEFAULT ' ' NOT NULL,
FCOMPONENTTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_COMPREG_L') 
 CREATE TABLE T_PDS_COMPREG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_COMPREG_MATGROUP') 
 CREATE TABLE T_PDS_COMPREG_MATGROUP (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_DOCTPL') 
 CREATE TABLE T_PDS_DOCTPL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCONTENT NCLOB,
FCONTENT_TAG NCLOB,
FSENDTYPEID BIGINT DEFAULT 0 NOT NULL,
FSRCTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZNODEID BIGINT DEFAULT 0 NOT NULL,
FNODEFIELDS NCLOB,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FISDEFAULT CHAR(1) DEFAULT '0' NOT NULL,
FCATEGORY BIGINT DEFAULT 0 NOT NULL,
FTEMPLATECODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FLETTERSTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_DOCTPL_L') 
 CREATE TABLE T_PDS_DOCTPL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_DOCTPLPURDEPT') 
 CREATE TABLE T_PDS_DOCTPLPURDEPT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_DOCTPLPURGROUP') 
 CREATE TABLE T_PDS_DOCTPLPURGROUP (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_DOCTPLPURORG') 
 CREATE TABLE T_PDS_DOCTPLPURORG (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_FLOWCATEGORY') 
 CREATE TABLE T_PDS_FLOWCATEGORY (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_FLOWCONFIG') 
 CREATE TABLE T_PDS_FLOWCONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FTENDERTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FSOURCETYPEID BIGINT DEFAULT 0 NOT NULL,
FSOURCECLASSID BIGINT DEFAULT 0 NOT NULL,
FOPENTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPURDEPTID BIGINT DEFAULT 0 NOT NULL,
FMINISUPPLIERS INT DEFAULT 0 NOT NULL,
FISDEFAULT CHAR(1) DEFAULT '0' NOT NULL,
FISSUPPLIER CHAR(1) DEFAULT '0' NOT NULL,
FCHASSISTYPEID BIGINT DEFAULT 0 NOT NULL,
FISNEEDINVITE CHAR(1) DEFAULT '0' NOT NULL,
FISNEGOTIABLE CHAR(1) DEFAULT '0' NOT NULL,
FISCHGMATERIAL CHAR(1) DEFAULT '0' NOT NULL,
FISNEEDBIDDOC CHAR(1) DEFAULT '0' NOT NULL,
FISDECISIONRESULT CHAR(1) DEFAULT '0' NOT NULL,
FISMANUALSCORE CHAR(1) DEFAULT '0' NOT NULL,
FTENDENCY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_FLOWCONFIG_L') 
 CREATE TABLE T_PDS_FLOWCONFIG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_FLOWNODE') 
 CREATE TABLE T_PDS_FLOWNODE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBIZNODEID BIGINT DEFAULT 0 NOT NULL,
FNOTE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZOBJECT VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXTOBJECT VARCHAR(50) DEFAULT ' ' NOT NULL,
FNEEDAUDIT CHAR(1) DEFAULT ' ' NOT NULL,
FTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FISFLOWCHART CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_FLOWNODESUB') 
 CREATE TABLE T_PDS_FLOWNODESUB (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBIZNODEID BIGINT DEFAULT 0 NOT NULL,
FNOTE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBIZOBJECT VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXTOBJECT VARCHAR(50) DEFAULT ' ' NOT NULL,
FTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FISFLOWCHART CHAR(1) DEFAULT '0' NOT NULL,
FISAUDIT CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_FLOWPURGROUP') 
 CREATE TABLE T_PDS_FLOWPURGROUP (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_FLOWPURORG') 
 CREATE TABLE T_PDS_FLOWPURORG (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_INVITECONFIG') 
 CREATE TABLE T_PDS_INVITECONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FPLUGINNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FSOURCETYPELD BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(510) DEFAULT ' ' NOT NULL,
FPURDEPTID BIGINT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_INVITECONFIG_L') 
 CREATE TABLE T_PDS_INVITECONFIG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_LETTERPEOPLE') 
 CREATE TABLE T_PDS_LETTERPEOPLE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_NOTICESUP') 
 CREATE TABLE T_PDS_NOTICESUP (
FID BIGINT DEFAULT 0 NOT NULL,
FPUBLISHERID BIGINT DEFAULT 0 NOT NULL,
FINVITESENDTYPE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FINVITEDOCTPLID BIGINT DEFAULT 0 NOT NULL,
FINVITEEMAILTPLID BIGINT DEFAULT 0 NOT NULL,
FINVITESOUNDTPL BIGINT DEFAULT 0 NOT NULL,
FINVITEMESSAGETPLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWINSENDTYPE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWINDOCTPLID BIGINT DEFAULT 0 NOT NULL,
FWINEMAILTPLID BIGINT DEFAULT 0 NOT NULL,
FWINMESSAGETPLID BIGINT DEFAULT 0 NOT NULL,
FWINSOUNDTPLID BIGINT DEFAULT 0 NOT NULL,
FBACKUPSENDTYPE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBACKUPDOCTPLID BIGINT DEFAULT 0 NOT NULL,
FBACKUPEMAILTPLID BIGINT DEFAULT 0 NOT NULL,
FBACKUPMESSAGETPLID BIGINT DEFAULT 0 NOT NULL,
FBACKUPSOUNDTPLID BIGINT DEFAULT 0 NOT NULL,
FFAILSENDTYPE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FFAILDOCTPLID BIGINT DEFAULT 0 NOT NULL,
FFAILEMAILTPLID BIGINT DEFAULT 0 NOT NULL,
FFAILMESSAGETPLID BIGINT DEFAULT 0 NOT NULL,
FFAILSOUNDTPLID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FINVITETITLE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FWINTITLE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBACKUPTITLE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FFAILTITLE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCULTIVATESENDTYPEID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCULTIVATEDOCTPLID BIGINT DEFAULT 0 NOT NULL,
FCULTIVATEEMAILTPLID BIGINT DEFAULT 0 NOT NULL,
FCULTIVATEMESSAGETPLID BIGINT DEFAULT 0 NOT NULL,
FCULTIVATESOUNDTPLID BIGINT DEFAULT 0 NOT NULL,
FCULTIVATETITLE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPREWINSENDTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPREWINDOCTPL BIGINT DEFAULT 0 NOT NULL,
FPREWINEMAILTPL BIGINT DEFAULT 0 NOT NULL,
FPREWINMESSAGETPL BIGINT DEFAULT 0 NOT NULL,
FPREWINSOUNDTPL BIGINT DEFAULT 0 NOT NULL,
FPREWINTITLE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FREPLYDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_NOTICESUP_LETTERS') 
 CREATE TABLE T_PDS_NOTICESUP_LETTERS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FLETTERSSUPPLIER BIGINT DEFAULT 0 NOT NULL,
FDOCCONTENT NCLOB DEFAULT ' ',
FDOCCONTENT_TAG NCLOB DEFAULT ' ',
FPORTALTITLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPORTALPARAMJSON NCLOB DEFAULT ' ',
FPORTALPARAMJSON_TAG NCLOB DEFAULT ' ',
FEMAILCONTENT NCLOB DEFAULT ' ',
FEMAILCONTENT_TAG NCLOB DEFAULT ' ',
FEMAILPARAMJSON NCLOB DEFAULT ' ',
FEMAILPARAMJSON_TAG NCLOB DEFAULT ' ',
FEMAILTITLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FADDRESSID NVARCHAR(500) DEFAULT ' ' NOT NULL,
FCCID NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSCCID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSMSCONTENT NCLOB DEFAULT ' ',
FSMSCONTENT_TAG NCLOB DEFAULT ' ',
FSMSPARAMJSON NCLOB DEFAULT ' ',
FSMSPARAMJSON_TAG NCLOB DEFAULT ' ',
FPHONENUMBER NVARCHAR(500) DEFAULT ' ' NOT NULL,
FFSCONTENT NCLOB DEFAULT ' ',
FFSCONTENT_TAG NCLOB DEFAULT ' ',
FFSPARAMJSON NCLOB DEFAULT ' ',
FFSPARAMJSON_TAG NCLOB DEFAULT ' ',
FWORKNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFSTITLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLETTERSTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FSUPPLIERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_NOTICESUP_SUP') 
 CREATE TABLE T_PDS_NOTICESUP_SUP (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FISSEND CHAR(1) DEFAULT '0' NOT NULL,
FMAINSEND CHAR(1) DEFAULT '1' NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FLINKMAN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDUTY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPHONE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEMAIL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEMAILSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSMSSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FFSSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FSYSTEMTSET CHAR(1) DEFAULT ' ' NOT NULL,
FADDRESS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCFMSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FREFUSENOTE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYPROJECTID BIGINT DEFAULT 0 NOT NULL,
FSUPLETTERSTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FENTRYSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FBIZPARTNERID BIGINT DEFAULT 0 NOT NULL,
FCFMDATE DATETIME,
FPURPUBLISHER BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FSENDDATE DATETIME,
FREPLYDATE DATETIME,
FSUPPLIERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_PURDEPART') 
 CREATE TABLE T_PDS_PURDEPART (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_PURDEPART_GROUP') 
 CREATE TABLE T_PDS_PURDEPART_GROUP (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_PURDEPART_L') 
 CREATE TABLE T_PDS_PURDEPART_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_REGIONGROUP') 
 CREATE TABLE T_PDS_REGIONGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY CHAR(1) DEFAULT ' ' NOT NULL,
FDEPARTMENT BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPURORG BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_REGIONGROUP_L') 
 CREATE TABLE T_PDS_REGIONGROUP_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_REGIONGROUPENTRY') 
 CREATE TABLE T_PDS_REGIONGROUPENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPROVINCE BIGINT DEFAULT 0 NOT NULL,
FENABLESTATUS CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_SUPPLIERDECISION_L') 
 CREATE TABLE T_PDS_SUPPLIERDECISION_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_TPLCONFIG') 
 CREATE TABLE T_PDS_TPLCONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FBIZNODEID BIGINT DEFAULT 0 NOT NULL,
FISDEFAULT CHAR(1) DEFAULT '0' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FISATTACHPURLIST CHAR(1) DEFAULT '0' NOT NULL,
FISLATESTPRICE CHAR(1) DEFAULT '0' NOT NULL,
FSOURCETYPEID BIGINT DEFAULT 0 NOT NULL,
FSHOWTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISADDPURLIST CHAR(1) DEFAULT '0' NOT NULL,
FPURDEPTID BIGINT DEFAULT 0 NOT NULL,
FPRICEBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_TPLCONFIG_L') 
 CREATE TABLE T_PDS_TPLCONFIG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_TPLCONFIGENTRY') 
 CREATE TABLE T_PDS_TPLCONFIGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCOMPONENTID BIGINT DEFAULT 0 NOT NULL,
FNOTE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBIZOBJECT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXTOBJECT NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_VALIDATORCONFIG') 
 CREATE TABLE T_PDS_VALIDATORCONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FOPERATION NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPLUGINNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBIZOBJECT NVARCHAR(36) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(510) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_VALIDATORCONFIG_L') 
 CREATE TABLE T_PDS_VALIDATORCONFIG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PDS_table.sql **/
