﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PDS_constraint.sql **/
 EXEC P_ALTERPK 'PK_PDS_EXTFILTER', 'T_PDS_EXTFILTER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_EXTFILTER_ENABLE') CREATE INDEX IDX_PDS_EXTFILTER_ENABLE ON T_PDS_EXTFILTER ( FENABLE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_EXTFILTER_STATUS') CREATE INDEX IDX_PDS_EXTFILTER_STATUS ON T_PDS_EXTFILTER ( FSTATUS );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_EXTFILTER_FNUMBER') CREATE INDEX IDX_PDS_EXTFILTER_FNUMBER ON T_PDS_EXTFILTER ( FNUMBER );


 EXEC P_ALTERPK 'PK_PDS_EXTFILTER_L', 'T_PDS_EXTFILTER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_EXTFILTER_L') CREATE INDEX IDX_PDS_EXTFILTER_L ON T_PDS_EXTFILTER_L ( FID );


 EXEC P_ALTERPK 'PK_PDS_EXTFILTERENTRY', 'T_PDS_EXTFILTERENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_EXTFILTERENTRY_FID') CREATE INDEX IDX_PDS_EXTFILTERENTRY_FID ON T_PDS_EXTFILTERENTRY ( FID );


 EXEC P_ALTERPK 'PK_PDS_EXTFILTERFIELDS', 'T_PDS_EXTFILTERFIELDS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_EXTFILTERFIELDS_FID') CREATE INDEX IDX_PDS_EXTFILTERFIELDS_FID ON T_PDS_EXTFILTERFIELDS ( FID );


 EXEC P_ALTERPK 'PK_PDS_EXTFILTERGROUP', 'T_PDS_EXTFILTERGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_EXTFILTERGROUP_NUM') CREATE INDEX IDX_PDS_EXTFILTERGROUP_NUM ON T_PDS_EXTFILTERGROUP ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_EXTFILTERGROUP_MID') CREATE INDEX IDX_PDS_EXTFILTERGROUP_MID ON T_PDS_EXTFILTERGROUP ( FMASTERID );


 EXEC P_ALTERPK 'PK_PDS_EXTFILTERGROUP_L', 'T_PDS_EXTFILTERGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_EXTFILTERGROUP_L_FID') CREATE INDEX IDX_PDS_EXTFILTERGROUP_L_FID ON T_PDS_EXTFILTERGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PDS_EXTPLUGINGROUP', 'T_PDS_EXTPLUGINGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_EXTPLUGINGROUP_NUM') CREATE INDEX IDX_PDS_EXTPLUGINGROUP_NUM ON T_PDS_EXTPLUGINGROUP ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_EXTPLUGINGROUP_MID') CREATE INDEX IDX_PDS_EXTPLUGINGROUP_MID ON T_PDS_EXTPLUGINGROUP ( FMASTERID );


 EXEC P_ALTERPK 'PK_PDS_EXTPLUGINGROUP_L', 'T_PDS_EXTPLUGINGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_EXTPLUGINGROUP_L_FID') CREATE INDEX IDX_PDS_EXTPLUGINGROUP_L_FID ON T_PDS_EXTPLUGINGROUP_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PDS_constraint.sql **/
