﻿/**Begin C:\PDM_UPGRADE\PDM1\PDS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDS_TPLCONFIG' AND KSQL_COL_NAME IN ('FMATCHFIELD')) 
 ALTER TABLE T_PDS_TPLCONFIG ADD (FMATCHFIELD INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDS_DEFAULTCONFIGENTRY' AND KSQL_COL_NAME IN ('FPARAMTYPE')) 
 ALTER TABLE T_PDS_DEFAULTCONFIGENTRY ADD (FPARAMTYPE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDS_DEFAULTCONFIGENTRY' AND KSQL_COL_NAME IN ('FBASEDATAINFO')) 
 ALTER TABLE T_PDS_DEFAULTCONFIGENTRY ADD (FBASEDATAINFO NVARCHAR(512) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_BIDOPENDETAIL') 
 CREATE TABLE T_PDS_BIDOPENDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FPACKAGEID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FOPENTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FBIDDERID BIGINT DEFAULT 0 NOT NULL,
FISBIDOPEN CHAR(1) DEFAULT '0' NOT NULL,
FBIDOPENDATE DATETIME,
FENTITYID VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_ENCRYPTDETAIL') 
 CREATE TABLE T_PDS_ENCRYPTDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FPACKAGEID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FOPENTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FBIDDERID BIGINT DEFAULT 0 NOT NULL,
FISENCRYPT CHAR(1) DEFAULT '0' NOT NULL,
FENCRYPTDATE DATETIME,
FENTITYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FISDECRYPT CHAR(1) DEFAULT '0' NOT NULL,
FDECRYPTDATE DATETIME,
FENCRYPTCODE VARCHAR(100) DEFAULT ' ' NOT NULL,
FUSERNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_SUPENCRYPTDETAIL') 
 CREATE TABLE T_PDS_SUPENCRYPTDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FPACKAGEID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FOPENTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FBIDDERID BIGINT DEFAULT 0 NOT NULL,
FISENCRYPT CHAR(1) DEFAULT '0' NOT NULL,
FENCRYPTDATE DATETIME,
FENTITYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FISDECRYPT CHAR(1) DEFAULT '0' NOT NULL,
FDECRYPTDATE DATETIME,
FENCRYPTCODE VARCHAR(100) DEFAULT ' ' NOT NULL,
FUSERNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_SUPPLIERUSERS') 
 CREATE TABLE T_PDS_SUPPLIERUSERS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_ORDERBY') 
 CREATE TABLE T_PDS_ORDERBY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(300) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT ' ' NOT NULL,
FORDERBYID BIGINT DEFAULT 0 NOT NULL,
FBIZOBJECTID BIGINT DEFAULT 0 NOT NULL,
FORDERBY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISV_ID VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDS_ORDERBY' AND KSQL_COL_NAME IN ('FISV_ID')) 
 ALTER TABLE T_PDS_ORDERBY ADD (FISV_ID VARCHAR(50) DEFAULT ' ' NOT NULL );
EXEC p_AlterColumn 'T_PDS_ORDERBY', 'FBIZOBJECTID', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDS_ORDERBY_L') 
 CREATE TABLE T_PDS_ORDERBY_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(300) DEFAULT ' ' NOT NULL
);



/**End C:\PDM_UPGRADE\PDM1\PDS_table.sql **/
