﻿/**Begin C:\PDM_UPGRADE\PDM1\PDS_constraint.sql **/
 EXEC P_ALTERPK 'PK_PDS_EXTFILTERMATCHFIELD', 'T_PDS_EXTFILTERMATCHFIELD', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_EXTFILTERMATCHFIELD_ID') CREATE INDEX IDX_PDS_EXTFILTERMATCHFIELD_ID ON T_PDS_EXTFILTERMATCHFIELD ( FID );


 EXEC P_ALTERPK 'PK_PDS_COSTDETAILBILL', 'T_PDS_COSTDETAILBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COSTDETAILBILL_PID') CREATE INDEX IDX_PDS_COSTDETAILBILL_PID ON T_PDS_COSTDETAILBILL ( FPROJECTID );


 EXEC P_ALTERPK 'PK_PDS_COSTDETAILTPL', 'T_PDS_COSTDETAILTPL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COSTDETAILTPL_PID') CREATE INDEX IDX_PDS_COSTDETAILTPL_PID ON T_PDS_COSTDETAILTPL ( FPROJECTID );


 EXEC P_ALTERPK 'PK_PDS_COST_CATEGORY', 'T_PDS_COST_CATEGORY', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COST_CATEGORY_FID') CREATE INDEX IDX_PDS_COST_CATEGORY_FID ON T_PDS_COST_CATEGORY ( FID );


 EXEC P_ALTERPK 'PK_PDS_COST_PURLIST', 'T_PDS_COST_PURLIST', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COST_PURLIST_FID') CREATE INDEX IDX_PDS_COST_PURLIST_FID ON T_PDS_COST_PURLIST ( FID );


 EXEC P_ALTERPK 'PK_PDS_COST_SOURCETYPE', 'T_PDS_COST_SOURCETYPE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COST_SOURCETYPE_FID') CREATE INDEX IDX_PDS_COST_SOURCETYPE_FID ON T_PDS_COST_SOURCETYPE ( FID );


 EXEC P_ALTERPK 'PK_PDS_COST_SRCTYPE', 'T_PDS_COST_SRCTYPE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COST_SRCTYPE_FID') CREATE INDEX IDX_PDS_COST_SRCTYPE_FID ON T_PDS_COST_SRCTYPE ( FID );


 EXEC P_ALTERPK 'PK_PDS_COSTDETAIL', 'T_PDS_COSTDETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COSTDETAIL_PID') CREATE INDEX IDX_PDS_COSTDETAIL_PID ON T_PDS_COSTDETAIL ( FPARENTID );


 EXEC P_ALTERPK 'PK_PDS_COSTDETAILENTRY', 'T_PDS_COSTDETAILENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COSTDETAILENTRY_FID') CREATE INDEX IDX_PDS_COSTDETAILENTRY_FID ON T_PDS_COSTDETAILENTRY ( FID );


 EXEC P_ALTERPK 'PK_PDS_COSTITEM', 'T_PDS_COSTITEM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COSTITEM_GID') CREATE INDEX IDX_PDS_COSTITEM_GID ON T_PDS_COSTITEM ( FGROUPID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COSTITEM_NUMBER') CREATE INDEX IDX_PDS_COSTITEM_NUMBER ON T_PDS_COSTITEM ( FNUMBER );


 EXEC P_ALTERPK 'PK_PDS_COSTITEM_L', 'T_PDS_COSTITEM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COSTITEM_L_FID') CREATE INDEX IDX_PDS_COSTITEM_L_FID ON T_PDS_COSTITEM_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PDS_COSTITEMCLASS', 'T_PDS_COSTITEMCLASS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COSTITEMCLASS_NUMBER') CREATE INDEX IDX_PDS_COSTITEMCLASS_NUMBER ON T_PDS_COSTITEMCLASS ( FNUMBER );


 EXEC P_ALTERPK 'PK_PDS_COSTITEMCLASS_L', 'T_PDS_COSTITEMCLASS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COSTITEMCLASS_L_FID') CREATE INDEX IDX_PDS_COSTITEMCLASS_L_FID ON T_PDS_COSTITEMCLASS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PDS_COSTDETAILSUBENTRY', 'T_PDS_COSTDETAILSUBENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDS_COSTDETAILSUBENTRY_EID') CREATE INDEX IDX_PDS_COSTDETAILSUBENTRY_EID ON T_PDS_COSTDETAILSUBENTRY ( FENTRYID );



/**End C:\PDM_UPGRADE\PDM1\PDS_constraint.sql **/
